open Term


let compile c =
  begin
    p "\n le programme a été reconnu, le voici d'ailleurs:\n\n";
    pr_com 0 c;
    pn();pn()
  end


(* stdin désigne l'entrée standard (le clavier) *)
(* lexbuf est un canal ouvert sur stdin *)

let lexbuf = Lexing.from_channel stdin

(* on enchaîne les tuyaux: lexbuf est passé à Lexer.token,
   et le résultat est donné à Parser.main *)

let parse () = Parser.comm Lexer.lexer lexbuf

(* la boucle interactive *)
let calc () =
  try
      let result = parse () in
	compile result; flush stdout
with _ ->
  Printf.printf "erreur de saisie près de '%s'\n" (Lexing.lexeme lexbuf)
;;

calc()
